Method: projects.locations.spaces.applications.register

Register deployed application from terraform state file with App Hub.

HTTP request

POST https://designcenter.googleapis.com/v1alpha/{name=projects/*/locations/*/spaces/*/applications/*}:register

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The name of the application. Format: projects/{project}/locations/{location}/spaces/{space}/applications/{application}

Request body

The request body contains data with the following structure:

JSON representation
{
  "serviceAccount": string,

  // Union field tfstate_source can be only one of the following:
  "terraformState": string,
  "tfstateSignedGcsUri": string
  // End of list of possible types for union field tfstate_source.
}
Fields
serviceAccount

string

Optional. The optional Service Account (SA) to use for calling AppHub APIs during registration. If not provided, the End-User Credentials (EUC) will be used. If provided, the EUC must have the 'serviceAccountTokenCreator' role on the SA, and the SA must have the necessary permissions for AppHub registration.

Union field tfstate_source. The Terraform state (tfstate) source. tfstate_source can be only one of the following:
terraformState

string

The Terraform state (tfstate) content as a raw string. For large state files exceeding 10MB, use the 'tfstateSignedGcsUri' field instead.

tfstateSignedGcsUri

string

A securely signed Cloud Storage URI pointing to the tfstate file. The URI must be signed to grant the service temporary read access to the state file. Application Design Center imposes a limit on the maximum size of the state file accessed via this URI.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • designcenter.applications.update

For more information, see the IAM documentation.